/**
 * Created by IntelliJ IDEA.
 * User: m09ega
 * Date: 07.10.2009
 * Time: 17:45:47
 * To change this template use File | Settings | File Templates.
 */
import java.util.*;
import java.io.*;

public class PrB {
    public static void main(String[]args)throws Exception{
        Scanner in = new Scanner (new File("array.in"));
        PrintWriter out = new PrintWriter ("array.out");
        int n = in.nextInt();
        int[] a = new int[n];
        for (int i = 0; i<=(n-1); i++){
            a[i]=in.nextInt();
        }
        for (int i = 0; i<=(n/2-1); i++){
            out.print(a[i]+" "+a[n-1-i]+" ");
        }
        if (n%2==1){
            out.print(a[n/2]);
        }
        in.close();
        out.close();
    }
}

